#!/usr/bin/python3
# -*- coding: UTF-8 -*-

## 需要使用到的库
import os, struct, sys, logging, subprocess, shutil, hashlib, requests
import uuid
from datetime import datetime

# web相关
import bottle
from bottle import request, post, static_file, response, get, abort, HTTPResponse

def check_dir(path):
    print("输出路径", path)
    if not os.path.exists(os.path.dirname(path)):
        os.makedirs(os.path.dirname(path) + "/")

@post("/api/upload/jpg")
def upload():
    dt = datetime.now()
    path = "data/jpg/" + dt.strftime("%Y-%m-%d/%H%M%S") + ".jpg"
    check_dir(path)
    with open(path, "wb") as f :
        f.write(request.body.read())

@post("/api/upload/h264")
def upload():
    dt = datetime.now()
    path = "data/h264/" + dt.strftime("%Y-%m-%d/%H%M%S") + ".h264"
    check_dir(path)
    with open(path, "wb") as f :
        f.write(request.body.read())

@post("/api/upload/mp4")
def upload():
    dt = datetime.now()
    path = "data/mp4/" + dt.strftime("%Y-%m-%d/%H%M%S") + ".mp4"
    check_dir(path)
    with open(path, "wb") as f :
        f.write(request.body.read())


@post("/api/upload/form")
def upload():
    dt = datetime.now()
    path = dt.strftime("data/jpg/%Y-%m-%d/%H%M%S") + ".jpg"
    check_dir(path)
    if "filename" in request.files :
        f = request.files["filename"]
        f.save(path)

bottle.run(host="0.0.0.0", port=9000)

